=== debian/changelog ===
libkolabxml (1.1.4-1) unstable; urgency=medium

  * New upstream release (1.1.4). (Closes: 811631)
  * Update the symbols files to make them compatible with gcc-6.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Jul 2016 17:04:15 +0200

libkolabxml (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Updated symbolfile (only optional symbols updates)

 -- Sandro Knauß <bugs@sandroknauss.de>  Mon, 14 Dec 2015 19:22:51 +0100

libkolabxml (1.1.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove PHP bindings as swig doesn't support PHP 7.0 yet.
    (Closes: #821687)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Jun 2016 10:05:45 +0200
