=== debian/changelog ===
libkolabxml (1.1.6-6ubuntu1) focal; urgency=medium

  * Update symbol files for boost, GCC, or whatever ...

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2020 15:26:08 +0100

libkolabxml (1.1.6-6build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 11:59:48 +0100

libkolabxml (1.1.6-6build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:43:56 +0000

libkolabxml (1.1.6-6) unstable; urgency=medium

  * Update symbols from buildds for 1.1.6 (Closes: #945420)

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 Nov 2019 21:56:30 +0100

libkolabxml (1.1.6-5) unstable; urgency=medium

  * Remove python2 support (Closes: #936885).
  * Update symbolsfiles in order to build with gcc-9 (Closes: #925748).
  * Add Build-Depends-Package to symbolsfile.
  * Update compat to 12 (No changes needed) (Closes: #943628).
  * Update Standards-Version to 4.4.1 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Fri, 15 Nov 2019 20:30:31 +0100

libkolabxml (1.1.6-4) unstable; urgency=medium

  * Update Vcs-* to salsa.
  * d/watch: Update upstream url.
  * Update invalid maintainer address to (Closes: #899581)
  * Replace Qt4 with Qt5 (Closes: #875019)

 -- Sandro Knauß <hefee@debian.org>  Tue, 05 Mar 2019 02:21:17 +0100

libkolabxml (1.1.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark a bunch of symbols leaked from boost as optional.  Closes: #914147
  * Set Rules-Requires-Root:no.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 20 Jan 2019 13:33:39 +0100

libkolabxml (1.1.6-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Update symbolsfile with buildlogs from builds (1.1.6).
  * Fix "Transition to xerces-c 3.2" (Closes: #881115)
    - build and update symbolsfile with xerces-c 3.2

 -- Sandro Knauß <hefee@debian.org>  Sun, 03 Dec 2017 11:23:50 +0100

libkolabxml (1.1.6-2) unstable; urgency=medium

  * Update symbolsfile with buildlogs from buildds from (1.1.6).
    - Fix "libkolabxml FTBFS on ppc64el: symbol differences" (Closes: #878786)
  * Use pybuild for building for all python versions.
  * Use python3-all-dev as Build-Dependency to build for all python versions.
  * Use dh_missing instead of dh_install.

 -- Sandro Knauß <hefee@debian.org>  Tue, 17 Oct 2017 01:21:01 +0200

libkolabxml (1.1.6-1) unstable; urgency=medium

  * New upstream version (1.1.6).
  * Add second upstream signing-key 0x28DE9FDA9342BF08.
  * Update my mailadresse to debian ones.
  * Update symbolsfile with buildlogs from buildds from (1.1.4).
  * Bump to debhelper 10 (removed default --parallel from rules file).
  * Update Standards-Version to 4.1.1. No changes needed.
  * Add dep3 header at use-phpconfig-to-detect-phpincludedir.patch
  * Update sysmbols file against 1.1.6.
  * Use https for link to dep5.
  * Update homepage url.

 -- Sandro Knauß <hefee@debian.org>  Sun, 15 Oct 2017 21:21:32 +0200
