=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: libkolabxml
 Section: libs
 Priority: optional
-Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
-Uploaders: Paul Klos <kolab@klos2day.nl>, Diane Trout <diane@ghic.org>, Sandro Knauß <bugs@sandroknauss.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Kolab Maintainers <team+kolab-mantainers@tracker.debian.org>
+Uploaders: Paul Klos <kolab@klos2day.nl>, Diane Trout <diane@ghic.org>, Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 12),
                dh-python,
+               extra-cmake-modules,
                pkg-kde-tools (>= 0.12),
                libxerces-c-dev,
                xsdcxx (>= 4.0),
@@ -15,14 +17,13 @@
                libboost-thread-dev,
                swig,
                libcurl4-gnutls-dev,
-               python-dev (>= 2.7),
-               python3-dev,
-               libqt4-dev
-X-Python-Version: >= 2.7
-Standards-Version: 3.9.7
-Homepage: http://git.kolab.org/libkolabxml
-Vcs-Git: https://anonscm.debian.org/git/pkg-kolab/libkolabxml.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kolab/libkolabxml.git
+               python3-all-dev,
+               qtbase5-dev
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Homepage: https://git.kolab.org/diffusion/LKX/
+Vcs-Git: https://salsa.debian.org/debian//libkolabxml.git
+Vcs-Browser: https://salsa.debian.org/debian//libkolabxml
 
 Package: libkolabxml1v5
 Architecture: any
@@ -38,19 +39,6 @@
  .
  This package provides serialization/deserialization from/to  in-memory
  representations for all Kolab Objects, including input validation.
-
-Package: python-kolabformat
-Architecture: any
-Section: python
-Depends: libkolabxml1v5 (= ${binary:Version}),
-         ${python:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Python 2 bindings for Kolab Format 3.0 XML parsing
- Libkolabxml is the reference implementation of the Kolab XML format.
- For more information see the libkolabxml package.
- .
- This package provides Python 2 bindings for libkolabxml.
 
 Package: python3-kolabformat
 Architecture: any
