=== debian/watch ===
version=3
opts="pgpmode=self" \
https://mirror.kolabenterprise.com/pub/releases/libkolabxml-([0-9\.]+)\.tar\.gz\.gpg
