## libkolabxml 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,6 @@
-# The special language NONE is not available in cmake 2.6
-if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 6)
-    project(Libkolabxml NONE)
-else()
-    project(Libkolabxml C)
-endif()
-
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.5)
+
+project(Libkolabxml NONE)
 
 option( BUILD_TESTS "Build the tests" TRUE )
 option( BUILD_UTILS "Build optional utils" FALSE )
@@ -43,9 +38,9 @@
 # 0.2 (0.2 development version)
 
 set (Libkolabxml_VERSION_MAJOR 1)
-set (Libkolabxml_VERSION_MINOR 1)
+set (Libkolabxml_VERSION_MINOR 2)
 # Enable the full x.y.z version only for release versions
-set (Libkolabxml_VERSION_PATCH 6)
+set (Libkolabxml_VERSION_PATCH 0)
 set (Libkolabxml_VERSION "${Libkolabxml_VERSION_MAJOR}.${Libkolabxml_VERSION_MINOR}.${Libkolabxml_VERSION_PATCH}" )
 #set (Libkolabxml_VERSION "${Libkolabxml_VERSION_MAJOR}.${Libkolabxml_VERSION_MINOR}" )
 
@@ -66,7 +61,7 @@
     COMMAND git archive --prefix=${SNAPSHOTARCHIVE_NAME}/ HEAD
         | bzip2 > ${CMAKE_BINARY_DIR}/${SNAPSHOTARCHIVE_NAME}.tar.bz2
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
-
+        
 #It's possible to make dist targets only using:
 #cmake -DDIST_ONLY=TRUE  ..
 if (DIST_ONLY)
@@ -77,8 +72,12 @@
 #C++ is required from here on
 enable_language(CXX)
 
-set(LIB_INSTALL_DIR lib${LIB_SUFFIX} CACHE STRING "The directories where to install libraries to")
-set(INCLUDE_INSTALL_DIR include CACHE STRING "The directory where to install headers to")
+
+# Used to set installation paths
+include(GNUInstallDirs)
+
+set(LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR} CACHE STRING "The directories where to install libraries to")
+set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR} CACHE STRING "The directory where to install headers to")
 set(INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}/kolabxml)
 set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/Libkolabxml )
