=== debian/changelog ===
libkolabxml (1.2.0-2) unstable; urgency=medium

  * Update symbols for boost 1.74 (Closes: #977252).
  * Mark some symbols as optional, as they disappear with different build
    options (Closes: #976289).

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:32:12 +0100

libkolabxml (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to match new release place.
  * Delete signing key, as no signatures are available.
  * Bump Standards-Version to 4.5.1 (no changes needed).
  * fail-missing is default with compat=13.
  * Update install files.
  * Update symbols files. (Closes: #975444)

 -- Sandro Knauß <hefee@debian.org>  Tue, 01 Dec 2020 22:39:12 +0100

libkolabxml (1.1.6-8) unstable; urgency=high

  [ Sandro Knauß ]
  * Update symbols from buildds for 1.1.6 from alpha, hurd, mk68k, powerpc,
    sh4 and sparc64.

 -- Sandro Knauß <hefee@debian.org>  Thu, 15 Oct 2020 04:09:19 +0200

libkolabxml (1.1.6-7) unstable; urgency=high

  [ Sandro Knauß ]
  * Update symbols from buildds for GCC-10 (Closes: #957449).
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Bump compat level to 13.
  * Set upstream metadata fields: Repository.
  * fix debian-rules-uses-as-needed-linker-flag.
  * set buildinfo=+path.

 -- Sandro Knauß <hefee@debian.org>  Wed, 14 Oct 2020 12:16:50 +0200

libkolabxml (1.1.6-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * libkolabxml1v5.symbols: Removed symbols that disappeared when
    rebuilding with Boost 1.71. (Closes: #960418)

 -- Adrian Bunk <bunk@debian.org>  Thu, 11 Jun 2020 00:08:22 +0300
